Riskware alert acknowledge request

Prev Next

It takes a Riskware Alert ID in the API URL and marks the alert as acknowledged. Applicable only for inbound Riskware alerts.

PUT https://<etp-instance>/api/v1/alerts/riskware/acknowledge/<id>

Required headers:

If the domain you use to access the UI ends in fireeye.com:

x-fireeye-api-key: <key>—Specifies your personal API key.

If the domain you use to access the UI ends in trellix.com:

authorization: bearer <access_token>—Specifies your personal access token.

Important

Use authorization: bearer <access_token> in place of x-fireeye-api-key: <key> in the following examples.

Example of the request

PUT https://<APIURI>/alerts/riskware/acknowledge/3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f -H "Content-Type: application/json" -H 'x-fireeye-api-key: <APIKEY>' -d '{}'

Example of the response

Success response:

{
    "data": {
        "type": "riskware alerts",
        "operation": "acknowledge",
        "successful_ids": [
            "3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f"
        ]
    },
    "meta": {
        "copyright": "Copyright © 2023 Musarubra US LLC"
    }
}

Failure response:

{
    "data": {
        "type": "riskware alerts",
        "operation": "acknowledge",
        "failed_ids": [
            "3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f"
        ]
    },
    "meta": {
        "copyright": "Copyright © 2023 Musarubra US LLC"
    }
}

cURL code sample: acknowledge riskware alert

curl -XPUT https://<APIURI>/alerts/riskware/acknowledge/3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f -H "Content-Type: application/json" -H 'x-fireeye-api-key: <APIKEY>' -d '{}'

This curl sample includes the following options:

  • -X PUT—This option changes the HTTP method to PUT.

  • https://<APIURI>/alerts/riskware/acknowledge— The riskware alert acknowledge API request URL. Replace <APIURI> with the address of your Email Security — Cloud instance.

  • --header "Content-Type: application/json"—This header specifies that the server's response body is expected to be in JSON format.

  • --header 'x-fireeye-api-key: xxxxxxxxxxxxxxx'—This header specifies your personal API key.

  • -d '{<data>}'—The request parameters.